Bug 217544 - Wrong platform in /etc/rpm/platform
Wrong platform in /etc/rpm/platform
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-28 10:19 EST by Oliver Frommel
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 15:26:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Frommel 2006-11-28 10:19:50 EST
Description of problem:
For instance building of some source rpms fails due to wrong 
resolution of the _libdir macro in the spec file. 
I think the problem lies in the wrong platform specification
in /etc/rpm/platform which is "ia32e-redhat-linux". However
I have installed the x86-64 distribution on a new Macbook with
Core 2 Duo processor. It might be a duplicate of the "wrong
architecture detected" bug, but I wanted to file it because
it concerns RPM.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Panu Matilainen 2007-06-27 09:53:02 EDT
anaconda sets up /etc/rpm/platform contents, rpm only reads it.
Comment 2 Chris Lumens 2007-11-27 15:59:51 EST
Is this still a problem in F8?
Comment 3 Bug Zapper 2008-04-04 00:59:33 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Jim Radford 2008-04-04 15:10:50 EDT
(In reply to comment #2)
> Is this still a problem in F8?


  $ cat /etc/rpm/platform

  $ uname -m

  $ rpm --eval "%{_libdir}"

  $ setarch i686 uname -m

  $ setarch i686 rpm --eval "%{_libdir}"


  $ rm /etc/rpm/platform
  $ setarch i686 rpm --eval "%{_libdir}"


This means that

  setarch i686 rpm --target i386 --rebuild *.src.rpm

puts the libraries in the wrong place (/usr/lib64) if /etc/rpm/platform exists
with the above contents.  What is the point of /etc/rpm/platform?
Comment 5 Jeremy Katz 2008-04-04 15:26:33 EDT
This is fixed for Fedora 9 as we're no longer writing /etc/rpm/platform

Note You need to log in before you can comment on or make changes to this bug.